Home > Element Reference : Setter

Contents

### Setter

Defines code which is called to modify the value of a property. The variable val is defined as the value to set the property to.

More information about Setter

Example:

        <property name="size">
          <setter>
           <![CDATA[
            var sz=parseInt(val);
            if (sz < 0) sz=0;
            if (sz > 100) sz=100;
            this.setAttribute("size",sz);
           ]]>
          </setter>
        </property>

#### Attributes:

Attributes inherited from Element

class

The style class of the xbl:setter. Multiple classes may be specified by separating them with spaces.

id

A unique identifier so that you can identify the xbl:setter with. You can use this as a parameter to getElementById and other DOM functions and to reference the element in style sheets.

Copyright (C) 1999 - 2002 XULPlanet.com